Skip to main content
GET
ListToolsByProfileHistory

Authorizations

Authorization
string
header
required

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

Authorization
string
header
required

This API uses OAuth2 with the Client Credential flow. Client Credentials must be sent in the BODY, not the headers. For an example of how to implement this, refer to the c1TokenSource.Token() function.

Path Parameters

app_id
string
required

App identifier.

connector_id
string
required

Connector identifier.

access_profile_id
string
required

Toolset (access profile) identifier.

Query Parameters

page_size
integer<int32>

Page size (max 200).

page_token
string

Page token for pagination.

Response

200 - application/json

Contains a page of change-history entries for the tools bound to one toolset sorted newest first.

Contains a page of change-history entries for the tools bound to one toolset sorted newest first.

list
Mcp Access Profile Tool Binding History Entry · object[] | null

The page of history entries, newest first.

nextPageToken
string

Pagination token for the next page, or empty if there are no more results.